std::ranges::chunk_by_view::iterator::iterator(3)

NAME
std::ranges::chunk_by_view::iterator::iterator - std::ranges::chunk_by_view::iterator::iterator

Synopsis
   /*iterator*/() = default; (1) (since C++23)
   private:
   constexpr /*iterator*/( chunk_by_view& parent, (2) (exposition only*)
                        ranges::iterator_t<V> current,
                        ranges::iterator_t<V> next );
   Construct an iterator.
   1) Default constructor. Value-initializes the underlying data-members as follows:
     * parent_ with nullptr,
     * current_ with ranges::iterator_t<V>(),
     * next_ with ranges::iterator_t<V>().
   2) A private constructor which is used by chunk_by_view::begin and
   chunk_by_view::end. This constructor is not accessible to users. Initializes:
     * parent_ with std::addressof(parent),
     * current_ with current,
     * next_ with next.

Parameters
   parent - a parent object
   current, next - iterators

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example